From 5fd6cc56b0723bb1fec4959b41094e62bd26b06f Mon Sep 17 00:00:00 2001
From: Janpriya Malviya <Janpriya_Malviya@bose.com>
Date: Mon, 11 Apr 2022 16:20:51 +0530
Subject: [PATCH] Avoid seek request with invalid seek offset (
 9223372036854775799 )

---
 libavformat/mov.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/libavformat/mov.c b/libavformat/mov.c
index dfb41b9..a509fc7 100644
--- a/libavformat/mov.c
+++ b/libavformat/mov.c
@@ -6973,6 +6973,11 @@ static int mov_read_default(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         if (atom.size >= 8) {
             a.size = avio_rb32(pb);
             a.type = avio_rl32(pb);
+
+            //Avoid seek with invalid seek offset because of stream EOS
+            if(avio_feof(pb))
+                continue;
+
             if (((a.type == MKTAG('f','r','e','e') && c->moov_retry) ||
                   a.type == MKTAG('h','o','o','v')) &&
                 a.size >= 8 &&
-- 
2.7.4

